---
schema_version: "1"
id: fea748bbee41ee0c1f9eb44c08ef1105d03f762ae98b85e3f234ee8eb3298da3
title: PUT /platform/v1/ens-regenerate
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/regenerateSignatureKey.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_event_notification/regenerateSignatureKey.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8dd7066b2352c195c54176f48d41564e30595904ed8ceca82cbee029a36028e8
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# PUT /platform/v1/ens-regenerate

Regenerates a signature key for a given callback. Regenerating a signature key deactivates the existing key.

## JSON Parameters

| Name         | Type   | Description                                     |
| ------------ | ------ | ----------------------------------------------- |
| `callbackId` | string | Required. A unique identifier for the callback. |

## Responses

| Status  | Name         | Type   | Description                                                                                               |
| ------- | ------------ | ------ | --------------------------------------------------------------------------------------------------------- |
| **200** | &nbsp;       | &nbsp; | **New signature key generated. Review example response.**                                                 |
| &nbsp;  | callbackName | string | Name of the callback.                                                                                     |
| &nbsp;  | callbackId   | string | Unique identifier of the callback.                                                                        |
| &nbsp;  | url          | string | HTTPS URL of the customer callback that receives event notifications in the format `https://host`[/path]. |
| &nbsp;  | signatureKey | string | A symmetric key to authenticate messages.                                                                 |

## Usage

To regenerate the signature key, send a PUT request to the `/platform/v1/ens-regenerate` endpoint.

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
PUT /platform/v1/ens-regenerate
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

[{
  "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d"
}]
```

The response includes information about the callback.

```js
HTTP/1.1 200 OK
[{
  "callbackName": "cb1",
  "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
  "url": "https://example.com/",
  "signatureKey": "KktBXb9V556KtSDG7Wb5a0xHAu/z9n3k+YekDzLy7i0="
}]
```

## HTTP Responses

| Response         | Reason                                                     |
| ---------------- | ---------------------------------------------------------- |
| 200 OK           | New signature key generated. Review example response.      |
| 400 Bad Request  | Unable to process the request.                             |
| 401 Unauthorized | Request not authorized; missing or incorrect bearer token. |
| 403 Forbidden    | Failed to pass authorization.                              |
| 404 Not Found    | Callback ID doesn’t exist for this MID.                    |
| 500 Server Error | Internal error                                             |

## See Also

- [Event Notification Service](/docs/marketing/marketing-cloud/guide/ens.html)
